Home Information Classes Download Usage Mail List Requirements Links FAQ Tutorial

Public Attributes | List of all members
RtAudio::StreamParameters Struct Reference

The structure for specifying input or ouput stream parameters. More...

`#include <RtAudio.h>`

## Public Attributes
unsigned int | deviceId
unsigned int | nChannels
unsigned int | firstChannel

## Detailed Description

The structure for specifying input or ouput stream parameters.

## Member Data Documentation

unsigned int RtAudio::StreamParameters::deviceId

Device index (0 to getDeviceCount() - 1).

unsigned int RtAudio::StreamParameters::nChannels

Number of channels.

unsigned int RtAudio::StreamParameters::firstChannel

First channel index on device (default = 0).

The documentation for this struct was generated from the following file:

- RtAudio.h

The Synthesis ToolKit in C++ (STK)
©1995--2017 Perry R. Cook and Gary P. Scavone. All Rights Reserved.